com.verisign.epp.codec.fee.v11

## Class EPPFeeCreate

- java.lang.Object
- - com.verisign.epp.codec.fee.v11.EPPFeeTransform
  - - com.verisign.epp.codec.fee.v11.EPPFeeCreate

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPFeeCreate
      extends EPPFeeTransform

  Fee Create Extension that enables a client to pass the expected fee for the create command.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPFeeCreate`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPFeeCreate`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPFeeCreate()` Default constructor for `EPPFeeCreate`.
    `EPPFeeCreate(EPPFeeValue aFee)` Constructor for `EPPFeeCreate` that takes a single fee.
    `EPPFeeCreate(EPPFeeValue aFee, java.lang.String aCurrency)` Constructor for `EPPFeeCreate` that takes a single fee and the optional currency.
    `EPPFeeCreate(java.util.List<EPPFeeValue> aFees, java.lang.String aCurrency)` Constructor for `EPPFeeCreate` that takes all attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getLocalName()` Returns the local name "create" for the create extension.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.fee.v11.EPPFeeTransform

      `addFee, clone, decode, encode, equals, getCurrency, getFees, hasCurrency, hasFees, setCurrency, setFees, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPFeeCreate`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPFeeCreate`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPFeeCreate

          public EPPFeeCreate()

      Default constructor for `EPPFeeCreate`.

    - #### EPPFeeCreate

          public EPPFeeCreate(EPPFeeValue aFee)

      Constructor for `EPPFeeCreate` that takes a single fee.
      Parameters:
        `aFee` - A single fee value

    - #### EPPFeeCreate

          public EPPFeeCreate(EPPFeeValue aFee,
                              java.lang.String aCurrency)

      Constructor for `EPPFeeCreate` that takes a single fee and the optional currency.
      Parameters:
        `aFee` - A single fee of the create command
        `aCurrency` - Currency of the fee

    - #### EPPFeeCreate

          public EPPFeeCreate(java.util.List<EPPFeeValue> aFees,
                              java.lang.String aCurrency)

      Constructor for `EPPFeeCreate` that takes all attributes.
      Parameters:
        `aFees` - List of fees
        `aCurrency` - Currency of the fees

  - ### Method Detail

    - #### getLocalName

          protected java.lang.String getLocalName()

      Returns the local name "create" for the create extension.
      Specified by:
        `getLocalName` in class `EPPFeeTransform`
      Returns:
        Local name "create" for the create extension.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.